# Clipboard

A simple static HTTP site that applies a provided string to the users clipboard

## How to use

Send the user to a hosted version of index.html with the text to be applied as the parameter

### Parsing Flags

There are three prefixes that can be used to customise the parsing of the url:

1. u
2. b
3. r

#### u - URI

Decodes URI encoded characters via the `decodeURI()` function


The following results in the text `copy this` being placed upon the clipboard:
```
https://example.com?u=copy%20this
```

#### b - Base64

Decodes the base64 encoded characters via the `atob()` function

The following results in the text `copy this` being placed upon the clipboard:
```
https://example.com?b=Y29weSB0aGlz
```

#### r - Raw

No decoding occurs

The following results in the text `copy%20this` being placed upon the clipboard:
```
https://example.com?r=copy this
```

